# IRpMeshModifiers Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | RegisterSysMessageReceiver (MSGID msg, IRsSysMessageReceiver *pRecv)
HRESULT | UnregisterSysMessageReceiver (MSGID msg, IRsSysMessageReceiver *pRecv)
HRESULT | GetPointEditUiAgent (IRsPointEditUiAgent **ppUiAgent)
HRESULT | CreateMeshModifierSet (IRfMeshModifierSet **ppSet)
HRESULT | CreateTriangulatorFnSet (IRfTriangulatorSet **ppSet)
HRESULT | CreateBrush (GUID id, IRsUnknownBrushProvider **ppBrush)
HRESULT | CreateBooleansFnSet (IRfBooleansSet **ppSet)
HRESULT | GetMeshEditorUiPanelsHandler (IRsMeshEditorUiPanelsHandler **ppPanelsHandler)

## Detailed Description

Mesh modifiers package root.

## Member Function Documentation

HRESULT IRpMeshModifiers::RegisterSysMessageReceiver | ( | MSGID | msg,
|  | IRsSysMessageReceiver * | pRecv |
| ) |  |  |

RegisterSysMessageReceiver

Parameters:

  | msg | [] .
  | pRecv | [] .

HRESULT IRpMeshModifiers::UnregisterSysMessageReceiver | ( | MSGID | msg,
|  | IRsSysMessageReceiver * | pRecv |
| ) |  |  |

UnregisterSysMessageReceiver

Parameters:

  | msg | [] .
  | pRecv | [] .

HRESULT IRpMeshModifiers::GetPointEditUiAgent | ( | IRsPointEditUiAgent ** | ppUiAgent | ) |

GetPointEditUiAgent Get point editor UI agent.

Parameters:

  | ppUiAgent | [] UI agent for mesh editor

HRESULT IRpMeshModifiers::CreateMeshModifierSet | ( | IRfMeshModifierSet ** | ppSet | ) |

CreateMeshModifierSet Create mesh modifier function set.

Parameters:

  | ppSet | [] .

HRESULT IRpMeshModifiers::CreateTriangulatorFnSet | ( | IRfTriangulatorSet ** | ppSet | ) |

CreateTriangulatorFnSet Create triangulator function set.

Parameters:

  | ppSet | [] .

HRESULT IRpMeshModifiers::CreateBrush | ( | GUID | id,
|  | IRsUnknownBrushProvider ** | ppBrush |
| ) |  |  |

CreateBrush Create brush function set.

Parameters:

  | id | [] .
  | ppBrush | [] .

HRESULT IRpMeshModifiers::CreateBooleansFnSet | ( | IRfBooleansSet ** | ppSet | ) |

CreateBooleansFnSet Create booleans algorithm function set.

Parameters:

  | ppSet | [] .

HRESULT IRpMeshModifiers::GetMeshEditorUiPanelsHandler | ( | IRsMeshEditorUiPanelsHandler ** | ppPanelsHandler | ) |

GetMeshEditorUiPanelsHandler Get mesh editor UI panels handler.

Parameters:

  | ppPanelsHandler | [] .